/***************************************************************************
 *   Copyright (C) 2005 by David Lopez Vinacua                             *
 *   david@bajavista.com                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

/* * * * * * * * * * * * * * * * * * * * * * * *
 *  ip2co.h                                    *
 *  Tools to work with ip-to-country.csv data  *
 * * * * * * * * * * * * * * * * * * * * * * * *
 *
 * Created:
 *  120405 David Lopez
 * Modified:
 *
 */

#ifndef _IP2CO_H_
#define _IP2CO_H_

#ifndef u32
typedef unsigned int u32;
#endif

typedef struct      // One record of data
        {
        u32     ip1;    // Base IP
        u32     ip2;    // Limit IP
        char    cc[2];  // Country code (2 letter ISO)
        } t_ip2coR;

#define k_ip2coMaxR ( (4096-8)/sizeof(t_ip2coR))

typedef struct t_ip2coRB// A block of records
        {
        struct t_ip2coRB *Next;
        short   NumR;   // # of items in this block
        short   Fill;
        t_ip2coR d[k_ip2coMaxR];
        } t_ip2coRB;

extern t_ip2coRB *ipDB;


short   ReadDB(char *FileName);
        /* Reads given file, that should be a CSV, and creates a DB with values. Returns 0 if OK */

#endif // _IP2CO_H_
